### Method

# Ide BufferManager foreach

#### Declaration

    void
    ide_buffer_manager_foreach (
      IdeBufferManager* self,
      IdeBufferForeachFunc foreach_func,
      gpointer user_data
    )

#### Description

Calls `foreach_func` for every buffer registered.

Available since: | 3.32

#### Parameters

`foreach_func` | `IdeBufferForeachFunc`
| An `IdeBufferForeachFunc`.
`user_data` | `gpointer`
| Closure data for `foreach_func`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.